/*
 * Basic system types and major/minor device constructing/busting macros.
 */

/*
 * adapted by NC to allow compiling of X
 */

#ifndef _XTYPES_H
#define	_XTYPES_H

#ifndef __stddef_h
#include <stddef.h>
#endif

#ifndef __types_h
#include <sys/types.h>
#endif

typedef	unsigned char	u_char;
typedef	unsigned short	u_short;
typedef	unsigned int	u_int;
typedef	unsigned long	u_long;
typedef	unsigned short	ushort;		/* System V compatibility */
typedef	unsigned int	uint;		/* System V compatibility */

typedef	struct	_physadr
{
	int 	r[ 1 ];
} *physadr;

typedef	struct	label_t
{
	int	val[ 14 ];
} label_t;

typedef	struct	_quad
{
	long 	val[ 2 ];
} quad;

typedef	long	daddr_t;
typedef	char *	caddr_t;
typedef	long	swblk_t;
typedef long	key_t;

typedef	struct	fd_set
{
	int 	fds_bits[ 1 ];
} fd_set;

/*
 * an iovec structure used to impliment readv and writev
 */

typedef struct iovec
{
  	unsigned char *	iov_base;
  	unsigned int	iov_len;
} _iovec;

#endif /* _XTYPES_H */
