/*------------------------------------------------------------------------
--                                                                      --
--                     H E L I O S   K E R N E L                        --
--                     -------------------------                        --
--                                                                      --
--             Copyright (C) 1987, Perihelion Software Ltd.             --
--                        All Rights Reserved.                          --
--                                                                      --
-- event.h								--
--                                                                      --
--	Event channel support.						--
--                                                                      --
--	Author:  NHG 8/8/88						--
--                                                                      --
------------------------------------------------------------------------*/
/* SccsId: %W%	%G% Copyright (C) 1987, Perihelion Software Ltd.	*/
/* $Id: event.h,v 1.3 90/10/02 18:40:10 nick Exp $ */

#ifndef __event_h
#define __event_h

#ifndef __helios_h
#include <helios.h>
#endif

typedef struct Event {
	struct Node	Node;		/* link in event chain		*/
	word		Pri;		/* priority in chain & vector	*/
#ifdef __HELIOSARM
	WordFnPtr	Code;		/* event routine		*/
#else
	VoidFnPtr	Code;		/* event routine		*/
#endif
	void		*Data;		/* data for this */
	word		*ModTab;	/* set by kernel */
	} Event;


/* Kernel support routines */

word SetEvent(Event *event);
word RemEvent(Event *event);

#ifdef __HELIOSARM
PUBLIC word AvoidEvents(WordFnPtr fn, word a, word b, word c);
#endif

#endif

/* -- End of event.h */
