/*------------------------------------------------------------------------
--                                                                      --
--                     H E L I O S   N U C L E U S                      --
--                     ---------------------------                      --
--                                                                      --
--             Copyright (C) 1987, Perihelion Software Ltd.             --
--                        All Rights Reserved.                          --
--                                                                      --
-- process.h								--
--                                                                      --
--	C process mamagement						--
--                                                                      --
--	Author:  NHG 12/10/87						--
--                                                                      --
------------------------------------------------------------------------*/
/* SccsId: %W% %G% Copyright (C) 1987, Perihelion Software Ltd.	*/
/* $Id: process.h,v 1.1 90/09/05 11:06:59 nick Exp Locker: nick $ */

#ifndef __process_h
#define __process_h

#ifndef __helios_h
#include <helios.h>
#endif


/* Standard logical priority levels */
#define HighestPri	-32768
#define DevicePri	-24576
#define HighServerPri	-16384
#define ServerPri	-8192
#define StandardPri	 0
#define	BackgroundPri	 8192
#define	LowBackgroundPri 16384
#define IdlePri		 32767

/* Number of bits used to form physical priority */
#ifdef __HELIOSARM
#define PriorityLevelBits	3
#else
#define PriorityLevelBits	1	/* transputer */
#endif

extern void *NewProcess(word, VoidFnPtr , word );
extern void ExecProcess(void *args, word logpri);
extern void RunProcess(void *args);
extern void ZapProcess(void *args);
extern word Fork(word stacksize, VoidFnPtr fn, word argsize, ... );
extern word LogToPhysPri(word logpri);
extern word PhysToLogPri(word physpri);
extern word GetPhysPriRange(void);
extern word GetPriority(void);
extern void SetPriority(word logpri);


#endif

/* -- End of process.h */
