echo off
echo **************************************************************************
echo *                                                                        *
echo *                                                                        *
echo *                  HELIOS BATCH FILE INSTALLATION                        *
echo *                                                                        *
echo *                     PERIHELION SOFTWARE LTD                            *
echo *                                                                        *
echo **************************************************************************
if %2x == x goto default

echo **************************************************************************
echo *                                                                        *
echo *             copying HELIOS release disks from %1 to %2                 *
echo *                                                                        *
echo **************************************************************************

echo This installation assumes HELIOS release disks are loaded from drive %1
echo to %2. If incorrect type CTRL-C and rerun install with the correct 
echo source and destination parameters.

pause
mkdir %2\helios
if not errorlevel 0 goto errmkdir
mkdir %2\helios\etc
mkdir %2\helios\lib
mkdir %2\helios\bin
mkdir %2\helios\users
mkdir %2\helios\users\root
mkdir %2\helios\users\guest
mkdir %2\helios\users\guest\examples
mkdir %2\helios\users\guest\examples\factor
mkdir %2\helios\users\guest\examples\hello
mkdir %2\helios\users\guest\examples\lb
mkdir %2\helios\users\guest\examples\pi
mkdir %2\helios\users\guest\examples\pi\pi_farm
mkdir %2\helios\users\guest\examples\pi\pi_fast
mkdir %2\helios\users\guest\examples\pi\pi_fort
mkdir %2\helios\users\guest\examples\pi\pi_mix
mkdir %2\helios\users\guest\examples\pi\pi_mod2
mkdir %2\helios\users\guest\examples\pi\pi_pasc
mkdir %2\helios\users\guest\examples\pi\pi_ring
mkdir %2\helios\users\guest\examples\tut
mkdir %2\helios\users\shutdown
mkdir %2\helios\tmp
mkdir %2\helios\local
mkdir %2\helios\local\bin
mkdir %2\helios\system
mkdir %2\helios\include
mkdir %2\helios\include\sys

if not exist %1\install1.bat goto errinst1
copy %1\install1.bat %2\helios\tmp
%2\helios\tmp\install1.bat %1 %2

:default

echo **************************************************************************
echo *                                                                        *
echo *       copying HELIOS release disks from a: to the current partition    *
echo *                                                                        *
echo **************************************************************************

echo This installation assumes HELIOS release disks are loaded from drive A:
echo to the current partition. If incorrect type CTRL-C and rerun install with
echo the correct source and destination parameters.

pause
echo Insert release disk 1 into drive A:
pause
mkdir \helios
if not errorlevel 0 goto errmkdir
mkdir \helios\etc
mkdir \helios\lib
mkdir \helios\bin
mkdir \helios\users
mkdir \helios\users\root
mkdir \helios\users\guest
mkdir \helios\users\guest\examples
mkdir \helios\users\guest\examples\factor
mkdir \helios\users\guest\examples\hello
mkdir \helios\users\guest\examples\lb
mkdir \helios\users\guest\examples\pi
mkdir \helios\users\guest\examples\pi\pi_farm
mkdir \helios\users\guest\examples\pi\pi_fast
mkdir \helios\users\guest\examples\pi\pi_fort
mkdir \helios\users\guest\examples\pi\pi_mix
mkdir \helios\users\guest\examples\pi\pi_mod2
mkdir \helios\users\guest\examples\pi\pi_pasc
mkdir \helios\users\guest\examples\pi\pi_ring
mkdir \helios\users\guest\examples\tut
mkdir \helios\users\shutdown
mkdir \helios\tmp
mkdir \helios\local
mkdir \helios\local\bin
mkdir \helios\system
mkdir \helios\include
mkdir \helios\include\sys

if not exist a:\install1.bat goto errinst1
copy a:\install1.bat .\helios\tmp
.\helios\tmp\install1.bat A: .

:errmkdir
echo ERROR: Failed to make \helios directory check destination drive
goto exit

:errinst1
echo ERROR: Failed to find install1.bat check source drive
goto exit

:exit
rem Helios Installation script
