/* Copyright	Massachusetts Institute of Technology	1987 */

#ifndef _Simple_h
#define _Simple_h

/****************************************************************
 *
 * Simple widgets
 *
 ****************************************************************/

/* Resources:

 Name		     Class		RepType		Default Value
 ----		     -----		-------		-------------
 background	     Background		pixel		White
 border		     BorderColor	pixel		Black
 borderWidth	     BorderWidth	int		1
 cursor		     Cursor		Cursor		None
 destroyCallback     Callback		Pointer		NULL
 height		     Height		int		0
 insensitiveBorder   Insensitive	Pixmap		Gray
 mappedWhenManaged   MappedWhenManaged	Boolean		True
 sensitive	     Sensitive		Boolean		True
 width		     Width		int		0
 x		     Position		int		0
 y		     Position		int		0

*/

#ifndef XtNcursor
#define XtNcursor		"cursor"
#endif

#ifndef XtNinsensitiveBorder
#define XtNinsensitiveBorder	"insensitiveBorder"
#endif

#ifndef XtCCursor
#define XtCCursor		"Cursor"
#endif

#ifndef XtCInsensitive
#define XtCInsensitive		"Insensitive"
#endif

typedef struct _SimpleClassRec * 	SimpleWidgetClass;
typedef struct _SimpleRec *		SimpleWidget;

extern WidgetClass 			simpleWidgetClass;

#ifndef _SimpleP_h
#include <X11/SimpleP.h>
#endif

#endif  /* _Simple_h */
