/*
 * $Header: StringDefs.h,v 1.31 88/02/26 12:51:19 swick Exp $
 */

/***********************************************************
Copyright 1987, 1988 by Digital Equipment Corporation, Maynard, Massachusetts,
and the Massachusetts Institute of Technology, Cambridge, Massachusetts.

                        All Rights Reserved

Permission to use, copy, modify, and distribute this software and its 
documentation for any purpose and without fee is hereby granted, 
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in 
supporting documentation, and that the names of Digital or MIT not be
used in advertising or publicity pertaining to distribution of the
software without specific, written prior permission.  

DIGITAL DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL
DIGITAL BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR
ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
SOFTWARE.

******************************************************************/

#ifndef _XtStringDefs_h_
#define _XtStringDefs_h_

/* Resource names */

#ifndef XtNallowHoriz
#define XtNallowHoriz		"allowHoriz"
#endif

#ifndef XtNallowVert
#define XtNallowVert		"allowVert"
#endif

#ifndef XtNancestorSensitive
#define XtNancestorSensitive	"ancestorSensitive"
#endif

#ifndef XtNbackground
#define XtNbackground		"background"
#endif

#ifndef XtNbackgroundPixmap
#define XtNbackgroundPixmap     "backgroundPixmap"
#endif

#ifndef XtNborder
#define XtNborder		"borderColor"
#endif

#ifndef XtNborderColor
#define XtNborderColor		"borderColor"
#endif

#ifndef XtNborderPixmap
#define XtNborderPixmap		"borderPixmap"
#endif

#ifndef XtNborderWidth
#define XtNborderWidth		"borderWidth"
#endif

#ifndef XtNcallback
#define XtNcallback		"callback"
#endif

#ifndef XtNdepth
#define XtNdepth		"depth"
#endif

#ifndef XtNdestroyCallback
#define XtNdestroyCallback      "destroyCallback"
#endif

#ifndef XtNeditType
#define XtNeditType		"editType"
#endif

#ifndef XtNfont
#define XtNfont			"font"
#endif

#ifndef XtNforceBars
#define XtNforceBars		"forceBars"
#endif

#ifndef XtNforeground
#define XtNforeground		"foreground"
#endif

#ifndef XtNfunction
#define XtNfunction		"function"
#endif

#ifndef XtNgripIndent
#define XtNgripIndent		"gripIndent"
#endif

#ifndef XtNheight
#define XtNheight		"height"
#endif

#ifndef XtNhSpace
#define XtNhSpace		"hSpace"
#endif

#ifndef XtNindex
#define XtNindex		"index"
#endif

#ifndef XtNinnerHeight
#define XtNinnerHeight		"innerHeight"
#endif

#ifndef XtNinnerWidth
#define XtNinnerWidth		"innerWidth"
#endif

#ifndef XtNinnerWindow
#define XtNinnerWindow		"innerWindow"
#endif

#ifndef XtNinsertPosition
#define XtNinsertPosition	"insertPosition"
#endif

#ifndef XtNinternalHeight
#define XtNinternalHeight	"internalHeight"
#endif

#ifndef XtNinternalWidth
#define XtNinternalWidth	"internalWidth"
#endif

#ifndef XtNjustify
#define XtNjustify		"justify"
#endif

#ifndef XtNlabel
#define XtNlabel		"label"
#endif

#ifndef XtNlength
#define XtNlength		"length"
#endif

#ifndef XtNlowerRight
#define XtNlowerRight		"lowerRight"
#endif

#ifndef XtNmappedWhenManaged
#define XtNmappedWhenManaged	"mappedWhenManaged"
#endif

#ifndef XtNmaximumLength
#define XtNmaximumLength	"maximumLength"
#endif

#ifndef XtNmenuEntry
#define XtNmenuEntry		"menuEntry"
#endif

#ifndef XtNnae
#define XtNname			"name"
#endif

#ifndef XtNnotify
#define XtNnotify		"notify"
#endif

#ifndef XtNorientation
#define XtNorientation		"orientation"
#endif

#ifndef XtNparameter
#define XtNparameter		"parameter"
#endif

#ifndef XtNpopupCallback
#define XtNpopupCallback	"popupCallback"
#endif

#ifndef XtNpopdownCallback
#define XtNpopdownCallback	"popdownCallback"
#endif

#ifndef XtNreverseVideo
#define XtNreverseVideo		"reverseVideo"
#endif

#ifndef XtNscrollProc
#define XtNscrollProc		"scrollProc"
#endif

#ifndef XtNscrollDCursor
#define XtNscrollDCursor	"scrollDownCursor"
#endif

#ifndef XtNscrollHCursor
#define XtNscrollHCursor	"scrollHorizontalCursor"
#endif

#ifndef XtNscrollLCursor
#define XtNscrollLCursor	"scrollLeftCursor"
#endif

#ifndef XtNscrollRCursor
#define XtNscrollRCursor	"scrollRightCursor"
#endif

#ifndef XtNscrollUCursor
#define XtNscrollUCursor	"scrollUpCursor"
#endif

#ifndef XtNscrollVCursor
#define XtNscrollVCursor	"scrollVerticalCursor"
#endif

#ifndef XtNselection
#define XtNselection		"selection"
#endif

#ifndef XtNselectTypes
#define XtNselectTypes		"selectTypes"
#endif

#ifndef XtNsensitive
#define XtNsensitive		"sensitive"
#endif

#ifndef XtNshown
#define XtNshown		"shown"
#endif

#ifndef XtNskipAdjust
#define XtNskipAdjust		"skipAdjust"
#endif

#ifndef XtNspace
#define XtNspace		"space"
#endif

#ifndef XtNstring
#define XtNstring		"string"
#endif

#ifndef XtNtextOptions
#define XtNtextOptions		"textOptions"
#endif

#ifndef XtNtextSink
#define XtNtextSink		"textSink"
#endif

#ifndef XtNtextSource
#define XtNtextSource		"textSource"
#endif

#ifndef XtNthickness
#define XtNthickness		"thickness"
#endif

#ifndef XtNthumb
#define XtNthumb		"thumb"
#endif

#ifndef XtNthumbProc
#define XtNthumbProc		"thumbProc"
#endif

#ifndef XtNtop
#define XtNtop			"top"
#endif

#ifndef XtNtranslations
#define XtNtranslations		"translations"
#endif

#ifndef XtNuseBottom
#define XtNuseBottom		"useBottom"
#endif

#ifndef XtNuseRight
#define XtNuseRight		"useRight"
#endif

#ifndef XtNvalue
#define XtNvalue		"value"
#endif

#ifndef XtNvSpace
#define XtNvSpace		"vSpace"
#endif

#ifndef XtNwidth
#define XtNwidth		"width"
#endif

#ifndef XtNwindow
#define XtNwindow		"window"
#endif

#ifndef XtNx
#define XtNx			"x"
#endif

#ifndef XtNy
#define XtNy			"y"
#endif

/* Class types */ 

#ifndef XtCBackground
#define XtCBackground		"Background"
#endif

#ifndef XtCBoolean
#define XtCBoolean		"Boolean"
#endif

#ifndef XtCBorderColor
#define XtCBorderColor		"BorderColor"
#endif

#ifndef XtCBorderWidth
#define XtCBorderWidth		"BorderWidth"
#endif

#ifndef XtCCallback
#define XtCCallback             "Callback"
#endif

#ifndef XtCColor
#define XtCColor		"Color"
#endif

#ifndef XtCCursor
#define XtCCursor		"Cursor"
#endif

#ifndef XtCDepth
#define XtCDepth		"Depth"
#endif

#ifndef XtCEditType
#define XtCEditType		"EditType"
#endif

#ifndef XtCFile
#define XtCFile			"File"
#endif

#ifndef XtCFont
#define XtCFont			"Font"
#endif

#ifndef XtCForeground
#define XtCForeground		"Foreground"
#endif

#ifndef XtCFraction
#define XtCFraction		"Fraction"
#endif

#ifndef XtCFunction
#define XtCFunction		"Function"
#endif

#ifndef XtCHeight
#define XtCHeight		"Height"
#endif

#ifndef XtCHSpace
#define XtCHSpace		"HSpace"
#endif

#ifndef XtCIndex
#define XtCIndex		"Index"
#endif

#ifndef XtCInterval
#define XtCInterval		"Interval"
#endif

#ifndef XtCJustify
#define XtCJustify		"Justify"
#endif

#ifndef XtCGripIndent
#define XtCGripIndent		"GripIndent"
#endif

#ifndef XtCLabel
#define XtCLabel		"Label"
#endif

#ifndef XtCLength
#define XtCLength		"Length"
#endif

#ifndef XtCMappedWhenManaged
#define XtCMappedWhenManaged	"MappedWhenManaged"
#endif

#ifndef XtCMargin
#define XtCMargin		"Margin"
#endif

#ifndef XtCMax
#define XtCMax			"Max"
#endif

#ifndef XtCMenuEntry
#define XtCMenuEntry		"MenuEntry"
#endif

#ifndef XtCMin
#define XtCMin			"Min"
#endif

#ifndef XtCNotify
#define XtCNotify		"Notify"
#endif

#ifndef XtCOrientation
#define XtCOrientation		"Orientation"
#endif

#ifndef XtCParameter
#define XtCParameter		"Parameter"
#endif

#ifndef XtCPixmap
#define XtCPixmap		"Pixmap"
#endif

#ifndef XtCPosition
#define XtCPosition		"Position"
#endif

#ifndef XtCReverseVideo
#define XtCReverseVideo		"ReverseVideo"
#endif

#ifndef XtCScrollProc
#define XtCScrollProc		"ScrollProc"
#endif

#ifndef XtCScrollDCursor
#define XtCScrollDCursor	"ScrollDownCursor"
#endif

#ifndef XtCScrollHCursor
#define XtCScrollHCursor	"ScrollHorizontalCursor"
#endif

#ifndef XtCScrollLCursor
#define XtCScrollLCursor	"ScrollLeftCursor"
#endif

#ifndef XtCScrollRCursor
#define XtCScrollRCursor	"ScrollRightCursor"
#endif

#ifndef XtCScrollUCursor
#define XtCScrollUCursor	"ScrollUpCursor"
#endif

#ifndef XtCScrollVCursor
#define XtCScrollVCursor	"ScrollVerticalCursor"
#endif

#ifndef XtCSelection
#define XtCSelection		"Selection"
#endif

#ifndef XtCSensitive
#define XtCSensitive		"Sensitive"
#endif

#ifndef XtCSelectTypes
#define XtCSelectTypes		"SelectTypes"
#endif

#ifndef XtCSpace
#define XtCSpace		"Space"
#endif

#ifndef XtCString
#define XtCString		"String"
#endif

#ifndef XtCTextOptions
#define XtCTextOptions		"TextOptions"
#endif

#ifndef XtCTextPosition
#define XtCTextPosition		"TextPosition"
#endif

#ifndef XtCTextSink
#define XtCTextSink		"TextSink"
#endif

#ifndef XtCTextSource
#define XtCTextSource		"TextSource"
#endif

#ifndef XtCThickness
#define XtCThickness		"Thickness"
#endif

#ifndef XtCThumb
#define XtCThumb		"Thumb"
#endif

#ifndef XtCTranslations
#define XtCTranslations		"Translations"
#endif

#ifndef XtCValue
#define XtCValue		"Value"
#endif

#ifndef XtCVSpace
#define XtCVSpace		"VSpace"
#endif

#ifndef XtCWidget
#define XtCWidget		"Widget"
#endif

#ifndef XtCWidth
#define XtCWidth		"Width"
#endif

#ifndef XtCWindow
#define XtCWindow		"Window"
#endif

#ifndef XtCX
#define XtCX			"X"
#endif

#ifndef XtCY
#define XtCY			"Y"
#endif

/* Representation types */

#ifndef XtRBoolean
#define XtRBoolean		"Boolean"
#endif

#ifndef XtRLongBoolean
#define XtRLongBoolean		"LongBoolean"
#endif

#ifndef XtRCallback
#define XtRCallback		"Callback"
#endif

#ifndef XtRColor
#define XtRColor		"Color"
#endif

#ifndef XtRCursor
#define XtRCursor		"Cursor"
#endif

#ifndef XtRDefaultColor
#define XtRDefaultColor         "DefaultColor"
#endif

#ifndef XtRDisplay
#define XtRDisplay		"Display"
#endif

#ifndef XtREditMode
#define XtREditMode		"EditMode"
#endif

#ifndef XtRFile
#define XtRFile			"File"
#endif

#ifndef XtRFloat
#define XtRFloat		"Float"
#endif

#ifndef XtRFont
#define XtRFont			"Font"
#endif

#ifndef XtRFontStruct
#define XtRFontStruct		"FontStruct"
#endif

#ifndef XtRFunction
#define XtRFunction		"Function"
#endif

#ifndef XtRGeometry
#define XtRGeometry		"Geometry"
#endif

#ifndef XtRInt
#define XtRInt			"Int"
#endif

#ifndef XtRJustify
#define XtRJustify		"Justify"
#endif

#ifndef XtROrientation
#define XtROrientation		"Orientation"
#endif

#ifndef XtRPixel
#define XtRPixel		"Pixel"
#endif

#ifndef XtRPixmap
#define XtRPixmap		"Pixmap"
#endif

#ifndef XtRPointer
#define XtRPointer		"Pointer"
#endif

#ifndef XtRString
#define XtRString		"String"
#endif

#ifndef XtRStringTable
#define XtRStringTable		"StringTable"
#endif

#ifndef XtRTranslationTable
#define XtRTranslationTable     "TranslationTable"
#endif

#ifndef XtRWidget
#define XtRWidget		"Widget"
#endif

#ifndef XtRWindow
#define XtRWindow		"Window"
#endif


/* Boolean enumeration constants */

#ifndef XtEoff
#define XtEoff			"off"
#endif

#ifndef XtEfalse
#define XtEfalse		"false"
#endif

#ifndef XtEno
#define XtEno			"no"
#endif

#ifndef XtEon
#define XtEon			"on"
#endif

#ifndef XtEtrue
#define XtEtrue			"true"
#endif

#ifndef XtEyes
#define XtEyes			"yes"
#endif

/* Orientation enumeration constants */

#ifndef XtEvertical
#define XtEvertical		"vertical"
#endif

#ifndef XtEhorizontal
#define XtEhorizontal		"horizontal"
#endif

/* text edit enumeration constants */

#ifndef XtEtextRoad
#define XtEtextRead		"read"
#endif

#ifndef XtEtextAppend
#define XtEtextAppend		"append"
#endif

#ifndef XtEtextEdit
#define XtEtextEdit		"edit"
#endif

#endif /* _XtStringDefs_h_ */
